Package Details: yle-dl 20200807-1

Git Clone URL: https://aur.archlinux.org/yle-dl.git (read-only, click to copy)
Package Base: yle-dl
Description: Download video and audio from YLE Areena.
Upstream URL: http://aajanki.github.io/yle-dl/
Keywords: areena yle
Licenses: GPL3
Submitter: Huulivoide
Maintainer: ZaZam (Huulivoide)
Last Packager: ZaZam
Votes: 32
Popularity: 0.088556
First Submitted: 2012-04-15 18:12
Last Updated: 2020-08-18 17:30

Latest Comments

1 2 3 4 5 Next › Last »

ZaZam commented on 2020-08-19 13:31

@Uumas, I had no errors when building the package. I noticed you have a warning: WARNING: Using existing $srcdir/ tree

Try removing the src directory before building.

Are you using some aur helper or just plain makepkg?

uumas commented on 2020-08-19 10:02

:: (1/1) Parsing SRCINFO: yle-dl
==> Making package: yle-dl 20200807-1 (Wed Aug 19 13:00:33 2020)
==> Retrieving sources...
  -> Found yle-dl-20200807.tar.gz
==> Validating source files with sha256sums...
    yle-dl-20200807.tar.gz ... Passed
==> Making package: yle-dl 20200807-1 (Wed Aug 19 13:00:35 2020)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found yle-dl-20200807.tar.gz
==> Validating source files with sha256sums...
    yle-dl-20200807.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting yle-dl-20200807.tar.gz with bsdtar
==> Sources are ready.
==> Making package: yle-dl 20200807-1 (Wed Aug 19 13:00:37 2020)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Removing existing $pkgdir/ directory...
==> Starting build()...
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2877, in get_entry_map
    ep_map = self._ep_map
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2835, in __getattr__
    raise AttributeError(attr)
AttributeError: _ep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 27, in <module>
    setup(
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 162, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 152, in _install_setup_requires
    dist = MinimalDistribution(attrs)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 144, in __init__
    distutils.core.Distribution.__init__(self, filtered)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 427, in __init__
    for ep in pkg_resources.iter_entry_points('distutils.setup_keywords'):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 655, in <genexpr>
    for entry in dist.get_entry_map(group).values()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2879, in get_entry_map
    ep_map = self._ep_map = EntryPoint.parse_map(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2560, in parse_map
    raise ValueError("Entry points must be listed in groups")
ValueError: Entry points must be listed in groups
==> ERROR: A failure occurred in build().
    Aborting...
error making: yle-dl

membend commented on 2019-10-17 15:56

Works with python-attrs-19.3.0-1

ZaZam commented on 2019-10-13 10:07

@Wild_Penguin yle-dl seems to work fine with the latest attrs, I added a patch to allow it.

Wild_Penguin commented on 2019-10-12 16:10

There is no python-attrs<19.2.0 in AUR nor Arch repositories.

ZaZam commented on 2019-03-23 08:58

@miasma

I tried and yle-dl works with 19.1, but setup.py needs to be changed to allow it. I added a patch.

miasma commented on 2019-03-16 04:25

:: installing python-attrs (19.1.0-1) breaks dependency 'python-attrs<18.3.0' required by yle-dl

Python-attrs was updated again. I tried and it requires changes on the code level. So much for https://www.attrs.org/en/stable/backward-compatibility.html

ZaZam commented on 2019-01-26 14:22

I also think that the 'provides' and 'conflicts' fields are completely unnecessary on this package. It is enough for the other packages that provide yle-dl to have these fields. I made the PKGBUILD simpler and removed these.

I added a patch to allow newer configargparse versions as yle-dl seems to work fine with the latest one. The same patch is in git, so it can be removed when the next version is released.

ReekyMarko commented on 2019-01-17 09:54

@Huulivoide It does not conflict with itself, it just conflicts with other packages that provide yle-dl.

ReekyMarko commented on 2019-01-17 09:53

python-configargparse got updated in community and it broke yle-dl for me. Downgrading it to 0.13.0-2 from 0.14.0-1 fixed it.